Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.support
Class MockTestRunner

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.support.MockTestRunner

All Implemented Interfaces:
  TestRunner

    public class MockTestRunner

extends java.lang.Object
implements TestRunner

Dummy TestRunner used when executing TestSteps one by one

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.testsuite.TestRunner
`TestRunner.Status`

Constructor Summary
`MockTestRunner(WsdlTestCase testCase)`
`MockTestRunner(WsdlTestCase testCase, org.apache.log4j.Logger logger)`

Method Summary
`void` | `cancel(java.lang.String reason)` Cancels an ongoing test run with the specified reason
`void` | `fail(java.lang.String reason)` Fails an ongoing test run with the specified reason
`org.apache.log4j.Logger` | `getLog()`
`java.lang.String` | `getReason()` Gets the reason why a running test was canceled or failed.
`java.util.List<TestStepResult>` | `getResults()` Gets the accumulated results so far; each TestStep returns a TestStepResult when running.
`long` | `getStartTime()` Returns the time this runner was last started
`TestRunner.Status` | `getStatus()` Gets the current status of this TestRunner
`TestCase` | `getTestCase()` Gets the TestCase being run
`long` | `getTimeTaken()` Returns the time taken by this runner since its last start
`void` | `gotoStep(int index)` Transfers execution of this TestRunner to the TestStep with the specified index in the TestCase
`void` | `gotoStepByName(java.lang.String stepName)` Transfers execution of this TestRunner to the TestStep with the specified name in the TestCase
`void` | `start(boolean async)` Starts running this TestRunners TestCase.
`TestRunner.Status` | `waitUntilFinished()` Blocks until this runner is finished, (returns directly if it already has finished)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockTestRunner

    public MockTestRunner(WsdlTestCase testCase)

### MockTestRunner

    public MockTestRunner(WsdlTestCase testCase,
                          org.apache.log4j.Logger logger)

Method Detail

### getLog

    public org.apache.log4j.Logger getLog()

### getTestCase

    public TestCase getTestCase()

  Description copied from interface: `TestRunner`
  Gets the TestCase being run

  Specified by:
    `getTestCase` in interface `TestRunner`
  Returns:
    the TestCase being run

### getResults

    public java.util.List<TestStepResult> getResults()

  Description copied from interface: `TestRunner`
  Gets the accumulated results so far; each TestStep returns a TestStepResult when running.

  Specified by:
    `getResults` in interface `TestRunner`
  Returns:
    the accumulated results so far

### getStatus

    public TestRunner.Status getStatus()

  Description copied from interface: `TestRunner`
  Gets the current status of this TestRunner

  Specified by:
    `getStatus` in interface `TestRunner`

### start

    public void start(boolean async)

  Description copied from interface: `TestRunner`
  Starts running this TestRunners TestCase. If the async flag is set to true, this method will return directly, otherwise it will block until the TestCase is finished

  Specified by:
    `start` in interface `TestRunner`
  Parameters:
    `async` - flag controlling if TestCase should be run in seperate or callers thread.

### getTimeTaken

    public long getTimeTaken()

  Description copied from interface: `TestRunner`
  Returns the time taken by this runner since its last start

  Specified by:
    `getTimeTaken` in interface `TestRunner`

### waitUntilFinished

    public TestRunner.Status waitUntilFinished()

  Description copied from interface: `TestRunner`
  Blocks until this runner is finished, (returns directly if it already has finished)

  Specified by:
    `waitUntilFinished` in interface `TestRunner`

### cancel

    public void cancel(java.lang.String reason)

  Description copied from interface: `TestRunner`
  Cancels an ongoing test run with the specified reason

  Specified by:
    `cancel` in interface `TestRunner`

### gotoStep

    public void gotoStep(int index)

  Description copied from interface: `TestRunner`
  Transfers execution of this TestRunner to the TestStep with the specified index in the TestCase

  Specified by:
    `gotoStep` in interface `TestRunner`

### gotoStepByName

    public void gotoStepByName(java.lang.String stepName)

  Description copied from interface: `TestRunner`
  Transfers execution of this TestRunner to the TestStep with the specified name in the TestCase

  Specified by:
    `gotoStepByName` in interface `TestRunner`

### fail

    public void fail(java.lang.String reason)

  Description copied from interface: `TestRunner`
  Fails an ongoing test run with the specified reason

  Specified by:
    `fail` in interface `TestRunner`

### getStartTime

    public long getStartTime()

  Description copied from interface: `TestRunner`
  Returns the time this runner was last started

  Specified by:
    `getStartTime` in interface `TestRunner`

### getReason

    public java.lang.String getReason()

  Description copied from interface: `TestRunner`
  Gets the reason why a running test was canceled or failed.

  Specified by:
    `getReason` in interface `TestRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.